comparison scripts/update_board.sh @ 432:8c4b97cc63b8 prerelease

Fixed update_board.sh
author Giulio Moro <giuliomoro@yahoo.it>
date Thu, 16 Jun 2016 20:02:41 +0100
parents 8533f7198644
children
comparison
equal deleted inserted replaced
431:cfd1f896cc6f 432:8c4b97cc63b8
41 { 41 {
42 echo 42 echo
43 exit 43 exit
44 } 44 }
45 45
46 trap signal_handler SIGINT SIGTERM 46 trap signal_handler 2
47 47
48 error_handler () { 48 error_handler () {
49 [ $1 -eq 0 ] && printf "done\n" || { [ -z "$2" ] && printf "\nAn error occurred. Is the board connected?\n" || printf "$2"; exit 1; } 49 [ $1 -eq 0 ] && printf "done\n" || { [ -z "$2" ] && printf "\nAn error occurred. Is the board connected?\n" || printf "$2"; exit 1; }
50 } 50 }
51 51
150 ssh $BBB_ADDRESS "cd $BBB_BELA_HOME; doxygen &> /dev/null" 150 ssh $BBB_ADDRESS "cd $BBB_BELA_HOME; doxygen &> /dev/null"
151 error_handler $? "\nError while generating Doxygen documentation\n" 151 error_handler $? "\nError while generating Doxygen documentation\n"
152 152
153 #------------- 153 #-------------
154 #Installing IDE 154 #Installing IDE
155 [ $ALWAYS_YES -eq 0 ] && ALWAYS_YES_FLAG= || ALWAYS_YES_FLAG="-y"
155 ls $IDE_FOLDER/scripts/setup_IDE.sh >/dev/null 2>/dev/null 156 ls $IDE_FOLDER/scripts/setup_IDE.sh >/dev/null 2>/dev/null
156 if [ $? -eq 0 ] 157 if [ $? -eq 0 ]
157 then 158 then
158 cd $IDE_FOLDER/scripts && ./setup_IDE.sh - 159 cd $IDE_FOLDER/scripts && ./setup_IDE.sh $ALWAYS_YES_FLAG
159 # run the IDE 160 # run the IDE
160 ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory idestart" 161 ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory idestart"
161 else 162 else
162 # run the IDE 163 # run the IDE
163 ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory idestart" 164 ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory idestart"